# Form implementation generated from reading ui file 'src/eric7/CondaInterface/CondaNewEnvironmentDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CondaNewEnvironmentDataDialog(object):
    def setupUi(self, CondaNewEnvironmentDataDialog):
        CondaNewEnvironmentDataDialog.setObjectName("CondaNewEnvironmentDataDialog")
        CondaNewEnvironmentDataDialog.resize(500, 132)
        CondaNewEnvironmentDataDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(CondaNewEnvironmentDataDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=CondaNewEnvironmentDataDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=CondaNewEnvironmentDataDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=CondaNewEnvironmentDataDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.condaNameEdit = QtWidgets.QLineEdit(parent=CondaNewEnvironmentDataDialog)
        self.condaNameEdit.setClearButtonEnabled(True)
        self.condaNameEdit.setObjectName("condaNameEdit")
        self.gridLayout.addWidget(self.condaNameEdit, 1, 1, 1, 1)
        self.requirementsLabel = QtWidgets.QLabel(parent=CondaNewEnvironmentDataDialog)
        self.requirementsLabel.setObjectName("requirementsLabel")
        self.gridLayout.addWidget(self.requirementsLabel, 2, 0, 1, 1)
        self.requirementsFilePicker = EricPathPicker(parent=CondaNewEnvironmentDataDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.requirementsFilePicker.sizePolicy().hasHeightForWidth())
        self.requirementsFilePicker.setSizePolicy(sizePolicy)
        self.requirementsFilePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.requirementsFilePicker.setObjectName("requirementsFilePicker")
        self.gridLayout.addWidget(self.requirementsFilePicker, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CondaNewEnvironmentDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)

        self.retranslateUi(CondaNewEnvironmentDataDialog)
        self.buttonBox.accepted.connect(CondaNewEnvironmentDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(CondaNewEnvironmentDataDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CondaNewEnvironmentDataDialog)

    def retranslateUi(self, CondaNewEnvironmentDataDialog):
        _translate = QtCore.QCoreApplication.translate
        CondaNewEnvironmentDataDialog.setWindowTitle(_translate("CondaNewEnvironmentDataDialog", "New Conda Environment"))
        self.label_2.setText(_translate("CondaNewEnvironmentDataDialog", "Logical Name:"))
        self.nameEdit.setToolTip(_translate("CondaNewEnvironmentDataDialog", "Enter a unique name for the virtual environment to register it with the Virtual Environment Manager"))
        self.nameEdit.setPlaceholderText(_translate("CondaNewEnvironmentDataDialog", "Name for registration of the virtual environment"))
        self.label.setText(_translate("CondaNewEnvironmentDataDialog", "Conda Name:"))
        self.condaNameEdit.setToolTip(_translate("CondaNewEnvironmentDataDialog", "Enter the name of the virtual environment in Conda"))
        self.condaNameEdit.setPlaceholderText(_translate("CondaNewEnvironmentDataDialog", "Name of the virtual environment in Conda"))
        self.requirementsLabel.setText(_translate("CondaNewEnvironmentDataDialog", "Requirements File:"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
